<div id="data-space-conditions">
  <h3>{{ stepTitle }}</h3>

  <form [formGroup]="dataSpaceConditionsForm">
    <section formArrayName="conditionsArray">
      <span class="all-selection border-grey-500">
        <mat-checkbox
          class="mx-1"
          [checked]="condition().accepted"
          [indeterminate]="partiallyComplete()"
          (change)="update($event.checked)"
        >
          {{ condition().name }}
        </mat-checkbox>
      </span>
      <span>
        <mat-accordion>
          @for (child of condition().children; track child; let i = $index) {
            <mat-expansion-panel>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  <div
                    (click)="$event.stopPropagation()"
                    (keydown)="$event.stopPropagation()"
                  >
                    <mat-checkbox
                      [checked]="child.accepted"
                      (change)="update($event.checked, i)"
                      [formControlName]="i"
                    >
                    </mat-checkbox>
                  </div>
                  <b>
                    {{
                      (child.componentType?.toString()! | titlecaseNodeName)
                        .replaceAll("FE", "Front-end")
                        .replaceAll("BE", "Back-end") | uppercase
                    }}
                  </b>
                </mat-panel-title>
                <mat-panel-description
                  class="justify-content-end align-items-center mr-3"
                >
                  {{ child.name | titlecaseNodeName }}
                </mat-panel-description>
              </mat-expansion-panel-header>
              <div>
                By accessing and utilizing this software component, you agree to
                comply with the following conditions:
                <br />
                <ul>
                  <li>
                    Usage is unrestricted for both commercial and non-commercial
                    purposes.
                  </li>
                  <li>
                    Modification and redistribution are permitted under the
                    terms of the open-source license (e.g., MIT, Apache 2.0).
                  </li>
                  <li>
                    Contributors retain copyright over their contributions.
                  </li>
                  <li>
                    Users must acknowledge the use of this software in any
                    derived works.
                  </li>
                  <li>
                    The software is provided "as is" without warranties. Users
                    assume all risks.
                  </li>
                  <li>
                    Contributions are encouraged but subject to review and
                    acceptance by maintainers.
                  </li>
                  <li>Respect the community guidelines and code of conduct.</li>
                  <li>
                    All users are equal and entitled to the same rights and
                    opportunities within the project.
                  </li>
                  <li>
                    Any issues or concerns should be reported through designated
                    channels.
                  </li>
                  <li>
                    These conditions are subject to change, with transparent
                    communication to the community.
                  </li>
                </ul>
              </div>
            </mat-expansion-panel>
          }
        </mat-accordion>
      </span>
    </section>
  </form>
</div>
